<?php get_header(); ?>

<div class="clearfloat">

<div id="content">
<?php
	// child page navigation
	if($post->ID) {	
		if($post->post_parent) { // page is a child		                      
			$parent = get_post($post->post_parent);						   
			if($parent->post_parent) { // if page is a grandchild				
				$grandparent = get_post($parent->post_parent);				
				if($grandparent->post_parent) { // if page is a greatgrandchild					
					$children = wp_list_pages('sort_column=menu_order&title_li=&child_of='.$grandparent->post_parent.'&echo=0');
				}		
				else { // no greatgrandchildren around			
					$children = wp_list_pages('sort_column=menu_order&title_li=&child_of='.$parent->post_parent.'&echo=0');
				}
			}		
			else { // page off of secondary nav has children		
				$children = wp_list_pages('sort_column=menu_order&title_li=&child_of='.$post->post_parent.'&echo=0');
			}
		}		
		else {		
			// nothing exciting is happening 			
			if(wp_list_pages("child_of=".$post->ID."&echo=0")) { // if page off of main nav has children			
				$children = wp_list_pages('sort_column=menu_order&title_li=&child_of='.$post->ID.'&echo=0');
			}
                           
		}
	} 
?>

<?php
	if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
		
<?php
	if ($children) { ?>
	  	<div class="submenu">
	  		<h4 class="pagetitle">In this section:</h4>
	  		<ul class="subnav"><?php echo $children; ?></ul>
	  	</div>
<?php
	}
?>
  
  
		<h2><?php the_title(); ?></h2>
		
		
			<div class="entry">
			<?php the_content(); ?>
			</div>
		</div><!--END POST-->
		<?php endwhile; endif; ?>
	


 
  
  </div><!--END COLUMN-->
</div><!--END FLOATS-->

<?php get_footer(); ?>